Subject: Re: [PATCH] progress: simplify "delayed" progress API

From: Junio C Hamano <[email-masked]>
Date: Sat, 19 Aug 2017 13:58:48 -0700

Junio C Hamano <[email-masked]> writes:

> We used to expose the full power of the delayed progress API to the
> callers, so that they can specify, not just the message to show and
> expected total amount of work that is used to compute the percentage
> of work performed so far, the percent-threshold parameter P and the
> delay-seconds parameter N.  The progress meter starts to show at N
> seconds into the operation only if the amount of work completed
> exceeds P.

Oops, we inspect the doneness at N seconds and show only if we have
not yet completed P percent of the total work.

Perhaps

	... at N seconds into the operation only if we have not
	completed P per-cent of the total work.